Debian Bug report logs - #485912
vcs-load-dirs: bazaar removal

version graph

Package: vcs-load-dirs; Maintainer for vcs-load-dirs is Debian QA Group <packages@qa.debian.org>;

Reported by: madcoder@debian.org

Date: Thu, 12 Jun 2008 08:30:05 UTC

Severity: serious

Fixed in version vcs-load-dirs/1.1.6+nmu1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to John Goerzen <jgoerzen@complete.org>:
Bug#485912; Package vcs-load-dirs. Full text and rfc822 format available.

Acknowledgement sent to madcoder@debian.org:
New Bug report received and forwarded. Copy sent to John Goerzen <jgoerzen@complete.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: madcoder@debian.org
To: maintonly@bugs.debian.org
Subject: vcs-load-dirs: bazaar removal
Date: Thu, 12 Jun 2008 10:27:09 +0200
Package: vcs-load-dirs
Severity: serious

Hi,

Baazaar is currently unmaintained (see 454313), and we would like to
remove it from Debian. Your package has bazaar as one of its
dependencies (or build dependencies). Please drop that dependency so
that we can safely remove bazaar. Thanks. 




Information forwarded to debian-bugs-dist@lists.debian.org, John Goerzen <jgoerzen@complete.org>:
Bug#485912; Package vcs-load-dirs. Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to John Goerzen <jgoerzen@complete.org>. Full text and rfc822 format available.

Message #10 received at 485912@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 485912@bugs.debian.org
Subject: Re: vcs-load-dirs: bazaar removal
Date: Sun, 29 Jun 2008 14:46:12 +0100
[Message part 1 (text/plain, inline)]
I made an NMU disabling the baz-load-dirs package.  I also disabled
the svk-load-dirs package since svk is uninstallable and has been removed
from lenny.  Diff follows.

Ben.

diff -Nru vcs-load-dirs-1.1.6/debian/changelog vcs-load-dirs-1.1.6+nmu2/debian/changelog
--- vcs-load-dirs-1.1.6/debian/changelog	2008-03-02 02:49:20.000000000 +0000
+++ vcs-load-dirs-1.1.6+nmu2/debian/changelog	2008-06-29 13:39:51.000000000 +0000
@@ -1,3 +1,21 @@
+vcs-load-dirs (1.1.6+nmu2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Removed obsolete build directories from tarball, added by my previous
+    upload.
+
+ -- Ben Hutchings <ben@decadent.org.uk>  Sun, 29 Jun 2008 13:36:25 +0000
+
+vcs-load-dirs (1.1.6+nmu1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Disabled baz-load-dirs package.  Closes: #485912.
+  * Disabled svk-load-dirs package since svk is uninstallable.
+  * Moved debhelper and python to Build-Depends since they are needed by
+    debian/rules clean.
+
+ -- Ben Hutchings <ben@decadent.org.uk>  Sun, 29 Jun 2008 13:07:37 +0000
+
 vcs-load-dirs (1.1.6) unstable; urgency=low
 
   * Added Vcs-* and Homepage control lines.
diff -Nru vcs-load-dirs-1.1.6/debian/control vcs-load-dirs-1.1.6+nmu2/debian/control
--- vcs-load-dirs-1.1.6/debian/control	2008-03-02 02:47:52.000000000 +0000
+++ vcs-load-dirs-1.1.6+nmu2/debian/control	2008-06-29 13:27:07.000000000 +0000
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
 XS-Python-Version: current
-Build-Depends-Indep: debhelper (>= 5.0.37.2), gtk-doc-tools, sgml2x, docbook-utils, jade, python (>= 2.3), python-dev, python-central (>= 0.5)
+Build-Depends: debhelper (>= 5.0.37.2), python (>= 2.3)
+Build-Depends-Indep: gtk-doc-tools, sgml2x, docbook-utils, jade, python-dev, python-central (>= 0.5)
 Standards-Version: 3.7.2
 Homepage: http://software.complete.org/vcs-load-dirs
 Vcs-Git: git://git.complete.org/vcs-load-dirs
@@ -49,31 +50,31 @@
  changes.  It works on a principle similar to Subversion's
  svn_load_dirs or my tla_load_dirs package for Arch.
 
-Package: baz-load-dirs
-Architecture: all
-XB-Python-Version: ${python:Versions}
-Depends: load-dirs-common (= ${Source-Version}), bazaar, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
-Description: Import upstream archives into baz
- Bazaar (baz) works fine for importing new archives.  However, for situations
- where the upstream renames or moves files and directories on a regular
- basis, version information can be lost.
- .
- baz-load-dirs works with baz to import these things and preserve
- changes.  It works on a principle similar to Subversion's
- svn_load_dirs or my tla_load_dirs package for tla.
-
-Package: svk-load-dirs
-Architecture: all
-XB-Python-Version: ${python:Versions}
-Depends: load-dirs-common (= ${Source-Version}), svk, ${shlibs:Depends} ${misc:Depends} ${python:Depends}
-Description: Import upstream archives into svk
- Svk works fine for importing new archives.  However, for situations
- where the upstream renames or moves files and directories on a regular
- basis, version information can be lost.
- .
- svk-load-dirs works with svk to import these things and preserve
- changes.  It works on a principle similar to Subversion's
- svn_load_dirs or my tla_load_dirs package for tla.
+#Package: baz-load-dirs
+#Architecture: all
+#XB-Python-Version: ${python:Versions}
+#Depends: load-dirs-common (= ${Source-Version}), bazaar, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+#Description: Import upstream archives into baz
+# Bazaar (baz) works fine for importing new archives.  However, for situations
+# where the upstream renames or moves files and directories on a regular
+# basis, version information can be lost.
+# .
+# baz-load-dirs works with baz to import these things and preserve
+# changes.  It works on a principle similar to Subversion's
+# svn_load_dirs or my tla_load_dirs package for tla.
+
+#Package: svk-load-dirs
+#Architecture: all
+#XB-Python-Version: ${python:Versions}
+#Depends: load-dirs-common (= ${Source-Version}), svk, ${shlibs:Depends} ${misc:Depends} ${python:Depends}
+#Description: Import upstream archives into svk
+# Svk works fine for importing new archives.  However, for situations
+# where the upstream renames or moves files and directories on a regular
+# basis, version information can be lost.
+# .
+# svk-load-dirs works with svk to import these things and preserve
+# changes.  It works on a principle similar to Subversion's
+# svn_load_dirs or my tla_load_dirs package for tla.
 
 Package: git-load-dirs
 Architecture: all
--- END ---

-- 
Ben Hutchings
Man invented language to satisfy his deep need to complain. - Lily Tomlin
[signature.asc (application/pgp-signature, inline)]

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to madcoder@debian.org:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 485912-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 485912-close@bugs.debian.org
Subject: Bug#485912: fixed in vcs-load-dirs 1.1.6+nmu1
Date: Sun, 29 Jun 2008 13:47:16 +0000
Source: vcs-load-dirs
Source-Version: 1.1.6+nmu1

We believe that the bug you reported is fixed in the latest version of
vcs-load-dirs, which is due to be installed in the Debian FTP archive:

darcs-load-dirs_1.1.6+nmu1_all.deb
  to pool/main/v/vcs-load-dirs/darcs-load-dirs_1.1.6+nmu1_all.deb
git-load-dirs_1.1.6+nmu1_all.deb
  to pool/main/v/vcs-load-dirs/git-load-dirs_1.1.6+nmu1_all.deb
hg-load-dirs_1.1.6+nmu1_all.deb
  to pool/main/v/vcs-load-dirs/hg-load-dirs_1.1.6+nmu1_all.deb
load-dirs-common_1.1.6+nmu1_all.deb
  to pool/main/v/vcs-load-dirs/load-dirs-common_1.1.6+nmu1_all.deb
tla-load-dirs_1.1.6+nmu1_all.deb
  to pool/main/v/vcs-load-dirs/tla-load-dirs_1.1.6+nmu1_all.deb
vcs-load-dirs_1.1.6+nmu1.dsc
  to pool/main/v/vcs-load-dirs/vcs-load-dirs_1.1.6+nmu1.dsc
vcs-load-dirs_1.1.6+nmu1.tar.gz
  to pool/main/v/vcs-load-dirs/vcs-load-dirs_1.1.6+nmu1.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 485912@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated vcs-load-dirs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 29 Jun 2008 13:07:37 +0000
Source: vcs-load-dirs
Binary: tla-load-dirs darcs-load-dirs hg-load-dirs git-load-dirs load-dirs-common
Architecture: source all
Version: 1.1.6+nmu1
Distribution: unstable
Urgency: low
Maintainer: John Goerzen <jgoerzen@complete.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Description: 
 darcs-load-dirs - Import upstream archives into darcs
 git-load-dirs - Import upstream archives into git
 hg-load-dirs - Import upstream archives into darcs
 load-dirs-common - Common files for tla-load-dirs and darcs-load-dirs
 tla-load-dirs - Import upstream archives into tla/arch
Closes: 485912
Changes: 
 vcs-load-dirs (1.1.6+nmu1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Disabled baz-load-dirs package.  Closes: #485912.
   * Disabled svk-load-dirs package since svk is uninstallable.
   * Moved debhelper and python to Build-Depends since they are needed by
     debian/rules clean.
Checksums-Sha1: 
 ec6d210874089c322c69aebaecd190375a13ad56 1100 vcs-load-dirs_1.1.6+nmu1.dsc
 8c56f8dac4bc4176ad2f7785573a3bfbdea6b250 42510 vcs-load-dirs_1.1.6+nmu1.tar.gz
 62a82fd1fbce7983550b43694426bc7385eea80b 8080 tla-load-dirs_1.1.6+nmu1_all.deb
 d5458909235d5eda4c56b89a824627fd2edf05ff 8138 darcs-load-dirs_1.1.6+nmu1_all.deb
 2a70ea6112aab64e445a17f8c25748c7879a2154 8122 hg-load-dirs_1.1.6+nmu1_all.deb
 894031b724ad9df6f5df6e5f5b8537b867d3cfab 8132 git-load-dirs_1.1.6+nmu1_all.deb
 a5f11ad15455a78e934d2889faefbbf519aa715f 13174 load-dirs-common_1.1.6+nmu1_all.deb
Checksums-Sha256: 
 c4fa84591c55b42a626eaaaec15c5f4dd1a71830dd160838bcdf92c29b1f4ed5 1100 vcs-load-dirs_1.1.6+nmu1.dsc
 855be7ad045bedfb4b5039c443c57ace815f926f1a25d11c203799a088b71e68 42510 vcs-load-dirs_1.1.6+nmu1.tar.gz
 f983c55c238121f72436de7312038cbca6231746cd28f282a6c5ad9d88287264 8080 tla-load-dirs_1.1.6+nmu1_all.deb
 01c252d1bbbe1214a779145bc0cfea113e282a254403f2c0bf966b5db81ec948 8138 darcs-load-dirs_1.1.6+nmu1_all.deb
 e52639dd4cfa980744c3dd3525ac8b9d7caa77a85ed98d973d5e618ac316d38c 8122 hg-load-dirs_1.1.6+nmu1_all.deb
 dffa56c380231a4c8e8ab246076a1d8cbf8f64fdaf0f17e3d965d8c41205be9b 8132 git-load-dirs_1.1.6+nmu1_all.deb
 b16c6a72f2b551233b72ed01eae26abab04368a60d60654baf250f70ebcbf14d 13174 load-dirs-common_1.1.6+nmu1_all.deb
Files: 
 74e0a6981e71e432ab84bb4eb01ab4a7 1100 devel optional vcs-load-dirs_1.1.6+nmu1.dsc
 7c0b5fb75a888cf56fef580e375ace73 42510 devel optional vcs-load-dirs_1.1.6+nmu1.tar.gz
 57902079fbc840799a8b5844c563cb49 8080 devel optional tla-load-dirs_1.1.6+nmu1_all.deb
 83b864ce0f24c3f8b414454d018518ca 8138 devel optional darcs-load-dirs_1.1.6+nmu1_all.deb
 abf5f55a6a7062fed053fc2790633606 8122 devel optional hg-load-dirs_1.1.6+nmu1_all.deb
 d9722a7b853c51d11a32d3b98409e274 8132 devel optional git-load-dirs_1.1.6+nmu1_all.deb
 6b1836b9aa05f11d489b340fef317192 13174 devel optional load-dirs-common_1.1.6+nmu1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIZ47w79ZNCRIGYgcRAqyPAJ455n6Nu04/sjlp6SSeAdBiZ6OJKQCggnqn
kdFM9yLZdw2S3VfLe/cm7VU=
=VZoY
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 03 Aug 2008 07:27:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:47:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.